<template>
  <div id="app">
    <div v-for="item in formattedReportData">
      <span class="feature">{{ item.name }}</span>
      <span v-if="!item.object" class="value"> {{ item.value }} </span>
      <simple-viewer class="object" v-if="item.object" :report-data="item.value"></simple-viewer>
    </div>
  </div>
</template>

<script>
export default {
    name: 'simple-viewer',
    props: ['reportData'],
    computed: {
        formattedReportData: function () {
            var items = []

            for (var i in this.reportData) {
                if (this.reportData.hasOwnProperty(i)) {
                    items.push({
                        indent: 0,
                        name: i,
                        value: this.reportData[i],
                        object: this.reportData[i] instanceof Object
                    })
                }
            }

            return items
        }
    }
}
</script>

<style>
.feature {
    font-weight: bold
}

.object {
    margin-left: 25px
}
</style>

